function polohy_linie=detekce_linii(obr_zprac,pocet_linii)
%% Detekce linii
[vyska_oriznuty,sirka_oriznuty] = size(obr_zprac);
%Vypocet STD obrazu 
obr_STD=std(obr_zprac(1:vyska_oriznuty/2,:));  
%Vyhlazeni prubehu
obr_STD=medfilt1(obr_STD, 5);
%Invertovani prubehu
obr_STD=1-obr_STD;
%Pridani sloupce cernych pixelu pro lepsi detekci linii
obr_STD(:,sirka_oriznuty)=0;
obr_STD(:,1)=0;
%Urceni minimalni vzdalenosti piku
vzdalenost_piku=round(sirka_oriznuty/pocet_linii)-25; 
%Hledani lokalniho maxima
[hodnoty_linie, polohy_linie]=findpeaks(obr_STD, 'MINPEAKDISTANCE', vzdalenost_piku);
